# compview.cpp File Reference

writeme More...

`#include "compview.h"`
`#include "app.h"`
`#include <gtkmm/scrolledwindow.h>`
`#include <cassert>`
`#include <iostream>`
`#include "instance.h"`
`#include <sigc++/signal.h>`
`#include <sigc++/hide.h>`
`#include <sigc++/slot.h>`
`#include "canvasview.h"`
`#include <synfigapp/action.h>`
`#include "general.h"`

## Defines

#define | ADD_TOOLBOX_BUTTON(button, stockid, tooltip)
#define | COLUMNID_JUMP (787584)
#define | ColumnID int

## Detailed Description

writeme

$Id$

=== N O T E S ===========================================================

=========================================================================

## Define Documentation

#define ADD_TOOLBOX_BUTTON | ( | button,
|  | stockid,
|  | tooltip |  | ) |

Value:

    Gtk::Button *button = manage(new class Gtk::Button());  \
        button->add(*manage(new Gtk::Image(Gtk::StockID(stockid),Gtk::IconSize(4))));   \
        tooltips.set_tip(*button,tooltip);  \
        button->show_all()

Referenced by studio::Toolbox::Toolbox().

#define COLUMNID_JUMP (787584)

Referenced by studio::Dock_History::on_action_event().

#define ColumnID int